package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * VoipOpenApiVo
 */
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VoipOpenApiVo   {
  @JsonProperty("enable")
  private Boolean enable;

  @JsonProperty("sipUdpPort")
  private Integer sipUdpPort;

  public VoipOpenApiVo enable(Boolean enable) {
    this.enable = enable;
    return this;
  }

  /**
   * The status of First Priority for VoIP SIP/RTP, valid value is true or false.
   * @return enable
  */
  @ApiModelProperty(required = true, value = "The status of First Priority for VoIP SIP/RTP, valid value is true or false.")
  @NotNull


  public Boolean getEnable() {
    return enable;
  }

  public void setEnable(Boolean enable) {
    this.enable = enable;
  }

  public VoipOpenApiVo sipUdpPort(Integer sipUdpPort) {
    this.sipUdpPort = sipUdpPort;
    return this;
  }

  /**
   * The SIP UDP Port should be within the range of 0-65535 when parameter [enable] is true.
   * @return sipUdpPort
  */
  @ApiModelProperty(value = "The SIP UDP Port should be within the range of 0-65535 when parameter [enable] is true.")


  public Integer getSipUdpPort() {
    return sipUdpPort;
  }

  public void setSipUdpPort(Integer sipUdpPort) {
    this.sipUdpPort = sipUdpPort;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VoipOpenApiVo voipOpenApiVo = (VoipOpenApiVo) o;
    return Objects.equals(this.enable, voipOpenApiVo.enable) &&
        Objects.equals(this.sipUdpPort, voipOpenApiVo.sipUdpPort);
  }

  @Override
  public int hashCode() {
    return Objects.hash(enable, sipUdpPort);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VoipOpenApiVo {\n");
    
    sb.append("    enable: ").append(toIndentedString(enable)).append("\n");
    sb.append("    sipUdpPort: ").append(toIndentedString(sipUdpPort)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

